Inkscape doesn't start

Asked by Pablo on 2016-09-23

I installed inkscape from the Ubuntu Software Center and tried to open it, but nothing appeared.
Therefore I executed it in the terminal. I got this message:

"inkscape: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory"

I tried to install the library, but it says the library has been replaced by a similar one:

"Package libgtkmm-2.4-1c2a is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
libgtkmm-2.4-1v5:i386 libgtkmm-2.4-1v5"

How can I fixs this issue?
I have Ubuntu 16.04 LTS
Thank you

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu inkscape Edit question
Assignee:
No assignee Edit question
Solved by:
Pablo
Solved:
2016-09-24
Last query:
2016-09-24
Last reply:
2016-09-24

Try running these commands first:

sudo apt-get update

sudo apt-get install libgtkmm-2.4-1v5

Soure: http://packages.ubuntu.com/search?searchon=contents&keywords=libgtkmm-2.4.so.1&mode=exactfilename&suite=xenial&arch=any

Pablo (vallearauzo) said : #2

I've run those commands and it hasn't solved the problem :(

The library was already installed, and there's an existing file in my computer called "libgtkmm-2.4.so.1"
The whole file direction is: "/usr/lib/i386-linux-gnu/libgtkmm-2.4.so.1"

Maybe is it in the wrong place?

Thanks for your help Mark

What is the output of this Terminal command?

ldd /usr/bin/inkscape |grep libgtkmm ; uname -a; cat /etc/lsb-release; apt-cache policy inkscape

Pablo (vallearauzo) said : #4

This is the output:

 libgtkmm-2.4.so.1 => not found
Linux jadey-K53SC 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS"
inkscape:
  Installed: 0.91-7ubuntu2
  Candidate: 0.91-7ubuntu2
  Version table:
 *** 0.91-7ubuntu2 500
        500 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

Manfred Hampl (m-hampl) said : #5

What is the output of the commands

sudo updatedb
locate libgtkmm-2.4
dpkg --print-architecture
dpkg --print-foreign-architectures
dpkg -l | grep libgtkmm

I get an ALMOST identical output on my PC.

But your Terminal output shows the following issue:

 libgtkmm-2.4.so.1 => not found

On my PC, inkscape starts up just fine and I get the following, GOOD output:

 libgtkmm-2.4.so.1 => /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1 (0x00007fc31957f000)

I suspect that you have the 32-bit package libgtkmm-2.4-1v5:i386 installed, but NOT the package libgtkmm-2.4-1v5, which is the 64-bit version of the same package.

What is the output of these 3 Terminal commands on your PC?

sudo apt-get update

sudo apt-get install aptitude

aptitude search libgtkmm

Here is the output of the command aptitude search libgtkmm on my PC:

$ aptitude search libgtkmm
i A libgtkmm-2.4-1v5 - C++ wrappers for GTK+ (shared libraries)
p libgtkmm-2.4-1v5:i386 - C++ wrappers for GTK+ (shared libraries)
p libgtkmm-2.4-dbg - C++ wrappers for GTK+ (debug symbols)
p libgtkmm-2.4-dbg:i386 - C++ wrappers for GTK+ (debug symbols)
p libgtkmm-2.4-dev - C++ wrappers for GTK+ (development files)
p libgtkmm-2.4-dev:i386 - C++ wrappers for GTK+ (development files)
p libgtkmm-2.4-doc - C++ wrappers for GTK+ (documentation)
v libgtkmm-2.4-doc:i386 -
i A libgtkmm-3.0-1v5 - C++ wrappers for GTK+ (shared libraries)
p libgtkmm-3.0-1v5:i386 - C++ wrappers for GTK+ (shared libraries)
p libgtkmm-3.0-dbg - C++ wrappers for GTK+ (debug symbols)
p libgtkmm-3.0-dbg:i386 - C++ wrappers for GTK+ (debug symbols)
p libgtkmm-3.0-dev - C++ wrappers for GTK+ (development files)
p libgtkmm-3.0-dev:i386 - C++ wrappers for GTK+ (development files)
p libgtkmm-3.0-doc - C++ wrappers for GTK+ (documentation)
v libgtkmm-3.0-doc:i386 -

As you can see, I do not have the 32-bit version of the libgtkmm-2.4-1v5 package installed.

Only the 64-bit version is installed on my PC....

Pablo (vallearauzo) said : #7

Hello Mark,
The problem is already solved

I got the same message when I was opening gparted. I researched and found this:
http://askubuntu.com/questions/691672/gparted-not-working#

After uninstalling gaprted, and installing it again...

I installed libgtkmm-2.4, and after seeing that nothing was solved, I uninstalled it. By uninstalling it Inkscape was also unisntalled so I installed it again, and now it works properly.

This it the output for the command that you wrote in your last comment

ldd /usr/bin/inkscape |grep libgtkmm ; uname -a; cat /etc/lsb-release; apt-cache policy inkscape
 libgtkmm-2.4.so.1 => /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1 (0x00007f43769f5000)
Linux jadey-K53SC 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS"
inkscape:
  Installed: 0.91-7ubuntu2
  Candidate: 0.91-7ubuntu2
  Version table:
 *** 0.91-7ubuntu2 500
        500 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

Thanks for all your help :)

This is the whole process in my terminal, just in case it's useful for anyone:

jadey@jadey-K53SC:~$ sudo gparted
[sudo] password for jadey:
sudo: gparted: command not found
jadey@jadey-K53SC:~$ sudo apt-get install gparted
Reading package lists... Done
Building dependency tree
Reading state information... Done
gparted is already the newest version (0.25.0-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
jadey@jadey-K53SC:~$ gparted
The program 'gparted' is currently not installed. You can install it by typing:
sudo apt install gparted
jadey@jadey-K53SC:~$ sudo apt install gparted
Reading package lists... Done
Building dependency tree
Reading state information... Done
gparted is already the newest version (0.25.0-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
jadey@jadey-K53SC:~$ gparted
The program 'gparted' is currently not installed. You can install it by typing:
sudo apt install gparted
jadey@jadey-K53SC:~$ sudo apt-get autoremove gparted
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  gparted
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 2.015 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 241320 files and directories currently installed.)
Removing gparted (0.25.0-1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
jadey@jadey-K53SC:~$ sudo apt-get install gparted
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  reiser4progs gpart
The following NEW packages will be installed:
  gparted
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 411 kB of archives.
After this operation, 2.015 kB of additional disk space will be used.
Get:1 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 gparted amd64 0.25.0-1 [411 kB]
Fetched 411 kB in 0s (758 kB/s)
Selecting previously unselected package gparted.
(Reading database ... 241215 files and directories currently installed.)
Preparing to unpack .../gparted_0.25.0-1_amd64.deb ...
Unpacking gparted (0.25.0-1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up gparted (0.25.0-1) ...
jadey@jadey-K53SC:~$ sudo gparted
/usr/sbin/gpartedbin: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory
jadey@jadey-K53SC:~$ sudo apt-get install libgtkmm-2.4
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'libgtkmm-2.4-1v5' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-1c2a' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-dbg' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-dev' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-doc' for regex 'libgtkmm-2.4'
libgtkmm-2.4-1v5 is already the newest version (1:2.24.4-2).
The following additional packages will be installed:
  autotools-dev debhelper dh-strip-nondeterminism gir1.2-gtk-2.0
  gtkmm-documentation libatk1.0-dev libatkmm-1.6-dev
  libcairo-script-interpreter2 libcairo2-dev libcairomm-1.0-dev libexpat1-dev
  libfile-stripnondeterminism-perl libfontconfig1-dev libfreetype6-dev
  libgdk-pixbuf2.0-dev libglib2.0-dev libglibmm-2.4-dev libglibmm-2.4-doc
  libgtk2.0-dev libgtkmm-3.0-doc libharfbuzz-dev libharfbuzz-gobject0
  libice-dev libmail-sendmail-perl libpango1.0-dev libpangomm-1.4-dev
  libpcre3-dev libpcre32-3 libpcrecpp0v5 libpixman-1-dev libpng12-dev
  libpthread-stubs0-dev libsigc++-2.0-dev libsm-dev libsys-hostname-long-perl
  libx11-dev libx11-doc libxau-dev libxcb-render0-dev libxcb-shm0-dev
  libxcb1-dev libxcomposite-dev libxcursor-dev libxdamage-dev libxdmcp-dev
  libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-utils
  libxrandr-dev libxrender-dev po-debconf x11proto-composite-dev
  x11proto-core-dev x11proto-damage-dev x11proto-fixes-dev x11proto-input-dev
  x11proto-kb-dev x11proto-randr-dev x11proto-render-dev x11proto-xext-dev
  x11proto-xinerama-dev xorg-sgml-doctools xtrans-dev zlib1g-dev
Suggested packages:
  dh-make libatkmm-1.6-doc libcairo2-doc libcairomm-1.0-doc libglib2.0-doc
  libgtkmm-3.0-dev libgtk2.0-doc libice-doc libpango1.0-doc libsigc++-2.0-doc
  libsm-doc libxcb-doc libxext-doc libmail-box-perl
The following NEW packages will be installed:
  autotools-dev debhelper dh-strip-nondeterminism gir1.2-gtk-2.0
  gtkmm-documentation libatk1.0-dev libatkmm-1.6-dev
  libcairo-script-interpreter2 libcairo2-dev libcairomm-1.0-dev libexpat1-dev
  libfile-stripnondeterminism-perl libfontconfig1-dev libfreetype6-dev
  libgdk-pixbuf2.0-dev libglib2.0-dev libglibmm-2.4-dev libglibmm-2.4-doc
  libgtk2.0-dev libgtkmm-2.4-dbg libgtkmm-2.4-dev libgtkmm-2.4-doc
  libgtkmm-3.0-doc libharfbuzz-dev libharfbuzz-gobject0 libice-dev
  libmail-sendmail-perl libpango1.0-dev libpangomm-1.4-dev libpcre3-dev
  libpcre32-3 libpcrecpp0v5 libpixman-1-dev libpng12-dev libpthread-stubs0-dev
  libsigc++-2.0-dev libsm-dev libsys-hostname-long-perl libx11-dev libx11-doc
  libxau-dev libxcb-render0-dev libxcb-shm0-dev libxcb1-dev libxcomposite-dev
  libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev
  libxft-dev libxi-dev libxinerama-dev libxml2-utils libxrandr-dev
  libxrender-dev po-debconf x11proto-composite-dev x11proto-core-dev
  x11proto-damage-dev x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev
  x11proto-randr-dev x11proto-render-dev x11proto-xext-dev
  x11proto-xinerama-dev xorg-sgml-doctools xtrans-dev zlib1g-dev
0 upgraded, 70 newly installed, 0 to remove and 0 not upgraded.
Need to get 47,4 MB of archives.
After this operation, 353 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpcrecpp0v5 amd64 2:8.38-3.1 [15,2 kB]
Get:2 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 autotools-dev all 20150820.1 [39,8 kB]
Get:3 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 po-debconf all 1.0.19 [234 kB]
Get:4 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libfile-stripnondeterminism-perl all 0.015-1 [10,3 kB]
Get:5 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 dh-strip-nondeterminism all 0.015-1 [4.864 B]
Get:6 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 debhelper all 9.20160115ubuntu3 [739 kB]
Get:7 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 gir1.2-gtk-2.0 amd64 2.24.30-1ubuntu1 [172 kB]
Get:8 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtkmm-3.0-doc all 3.18.0-1 [10,5 MB]
Get:9 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 gtkmm-documentation all 3.18.0-1 [909 kB]
Get:10 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpcre32-3 amd64 2:8.38-3.1 [136 kB]
Get:11 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpcre3-dev amd64 2:8.38-3.1 [525 kB]
Get:12 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 zlib1g-dev amd64 1:1.2.8.dfsg-2ubuntu4 [168 kB]
Get:13 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libglib2.0-dev amd64 2.48.1-1~ubuntu16.04.1 [1.377 kB]
Get:14 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libatk1.0-dev amd64 2.18.0-1 [79,5 kB]
Get:15 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libsigc++-2.0-dev amd64 2.6.2-1 [61,9 kB]
Get:16 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libglibmm-2.4-dev amd64 2.46.3-1 [841 kB]
Get:17 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libatkmm-1.6-dev amd64 2.24.2-1 [33,2 kB]
Get:18 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libcairo-script-interpreter2 amd64 1.14.6-1 [54,3 kB]
Get:19 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libexpat1-dev amd64 2.1.0-7ubuntu0.16.04.2 [115 kB]
Get:20 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpng12-dev amd64 1.2.54-1ubuntu1 [184 kB]
Get:21 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libfreetype6-dev amd64 2.6.1-0.1ubuntu2 [956 kB]
Get:22 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libfontconfig1-dev amd64 2.11.94-0ubuntu1.1 [658 kB]
Get:23 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 xorg-sgml-doctools all 1:1.11-1 [12,9 kB]
Get:24 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-core-dev all 7.0.28-2ubuntu1 [254 kB]
Get:25 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxau-dev amd64 1:1.0.8-1 [11,1 kB]
Get:26 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxdmcp-dev amd64 1:1.1.2-1.1 [25,1 kB]
Get:27 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-input-dev all 2.3.1-1 [118 kB]
Get:28 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-kb-dev all 1.0.7-0ubuntu1 [224 kB]
Get:29 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 xtrans-dev all 1.3.5-1 [70,5 kB]
Get:30 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpthread-stubs0-dev amd64 0.3-4 [4.068 B]
Get:31 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxcb1-dev amd64 1.11.1-1ubuntu1 [74,2 kB]
Get:32 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libx11-dev amd64 2:1.6.3-1ubuntu2 [642 kB]
Get:33 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-render-dev all 2:0.11.1-2 [20,1 kB]
Get:34 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxrender-dev amd64 1:0.9.9-0ubuntu1 [24,5 kB]
Get:35 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-xext-dev all 7.3.0-1 [212 kB]
Get:36 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxext-dev amd64 2:1.3.3-1 [82,1 kB]
Get:37 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libice-dev amd64 2:1.0.9-1 [44,9 kB]
Get:38 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libsm-dev amd64 2:1.2.2-1 [16,2 kB]
Get:39 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpixman-1-dev amd64 0.33.6-1 [248 kB]
Get:40 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxcb-render0-dev amd64 1.11.1-1ubuntu1 [15,3 kB]
Get:41 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxcb-shm0-dev amd64 1.11.1-1ubuntu1 [6.604 B]
Get:42 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libcairo2-dev amd64 1.14.6-1 [590 kB]
Get:43 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libcairomm-1.0-dev amd64 1.12.0-1 [83,9 kB]
Get:44 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgdk-pixbuf2.0-dev amd64 2.32.2-1ubuntu1.2 [44,4 kB]
Get:45 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libglibmm-2.4-doc all 2.46.3-1 [5.209 kB]
Get:46 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libharfbuzz-gobject0 amd64 1.0.1-1ubuntu0.1 [10,9 kB]
Get:47 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libharfbuzz-dev amd64 1.0.1-1ubuntu0.1 [189 kB]
Get:48 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxft-dev amd64 2.3.2-1 [45,7 kB]
Get:49 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpango1.0-dev amd64 1.38.1-1 [277 kB]
Get:50 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-xinerama-dev all 1.2.1-2 [4.966 B]
Get:51 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxinerama-dev amd64 2:1.1.3-1 [8.404 B]
Get:52 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-fixes-dev all 1:5.0-2ubuntu2 [14,2 kB]
Get:53 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxfixes-dev amd64 1:5.0.1-2 [10,9 kB]
Get:54 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxi-dev amd64 2:1.7.6-1 [184 kB]
Get:55 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-randr-dev all 1.5.0-1 [33,7 kB]
Get:56 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxrandr-dev amd64 2:1.5.0-1 [23,7 kB]
Get:57 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxcursor-dev amd64 1:1.1.14-1 [29,8 kB]
Get:58 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-composite-dev all 1:0.4.2-2 [10,5 kB]
Get:59 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxcomposite-dev amd64 1:0.4.4-1 [9.954 B]
Get:60 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-damage-dev all 1:1.2.1-2 [8.286 B]
Get:61 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libxdamage-dev amd64 1:1.1.4-2 [5.028 B]
Get:62 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libxml2-utils amd64 2.9.3+dfsg1-1ubuntu0.1 [37,5 kB]
Get:63 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtk2.0-dev amd64 2.24.30-1ubuntu1 [2.598 kB]
Get:64 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libpangomm-1.4-dev amd64 2.38.1-1 [48,6 kB]
Get:65 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtkmm-2.4-dev amd64 1:2.24.4-2 [392 kB]
Get:66 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtkmm-2.4-doc all 1:2.24.4-2 [8.937 kB]
Get:67 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libsys-hostname-long-perl all 1.5-1 [11,7 kB]
Get:68 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libmail-sendmail-perl all 0.79.16-1 [26,5 kB]
Get:69 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libx11-doc all 2:1.6.3-1ubuntu2 [1.465 kB]
Get:70 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtkmm-2.4-dbg amd64 1:2.24.4-2 [7.196 kB]
Fetched 47,4 MB in 16s (2.809 kB/s)
Extracting templates from packages: 100%
Selecting previously unselected package libpcrecpp0v5:amd64.
(Reading database ... 241321 files and directories currently installed.)
Preparing to unpack .../libpcrecpp0v5_2%3a8.38-3.1_amd64.deb ...
Unpacking libpcrecpp0v5:amd64 (2:8.38-3.1) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../autotools-dev_20150820.1_all.deb ...
Unpacking autotools-dev (20150820.1) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../po-debconf_1.0.19_all.deb ...
Unpacking po-debconf (1.0.19) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../libfile-stripnondeterminism-perl_0.015-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (0.015-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../dh-strip-nondeterminism_0.015-1_all.deb ...
Unpacking dh-strip-nondeterminism (0.015-1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../debhelper_9.20160115ubuntu3_all.deb ...
Unpacking debhelper (9.20160115ubuntu3) ...
Selecting previously unselected package gir1.2-gtk-2.0.
Preparing to unpack .../gir1.2-gtk-2.0_2.24.30-1ubuntu1_amd64.deb ...
Unpacking gir1.2-gtk-2.0 (2.24.30-1ubuntu1) ...
Selecting previously unselected package libgtkmm-3.0-doc.
Preparing to unpack .../libgtkmm-3.0-doc_3.18.0-1_all.deb ...
Unpacking libgtkmm-3.0-doc (3.18.0-1) ...
Selecting previously unselected package gtkmm-documentation.
Preparing to unpack .../gtkmm-documentation_3.18.0-1_all.deb ...
Unpacking gtkmm-documentation (3.18.0-1) ...
Selecting previously unselected package libpcre32-3:amd64.
Preparing to unpack .../libpcre32-3_2%3a8.38-3.1_amd64.deb ...
Unpacking libpcre32-3:amd64 (2:8.38-3.1) ...
Selecting previously unselected package libpcre3-dev:amd64.
Preparing to unpack .../libpcre3-dev_2%3a8.38-3.1_amd64.deb ...
Unpacking libpcre3-dev:amd64 (2:8.38-3.1) ...
Selecting previously unselected package zlib1g-dev:amd64.
Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4_amd64.deb ...
Unpacking zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4) ...
Selecting previously unselected package libglib2.0-dev.
Preparing to unpack .../libglib2.0-dev_2.48.1-1~ubuntu16.04.1_amd64.deb ...
Unpacking libglib2.0-dev (2.48.1-1~ubuntu16.04.1) ...
Selecting previously unselected package libatk1.0-dev.
Preparing to unpack .../libatk1.0-dev_2.18.0-1_amd64.deb ...
Unpacking libatk1.0-dev (2.18.0-1) ...
Selecting previously unselected package libsigc++-2.0-dev:amd64.
Preparing to unpack .../libsigc++-2.0-dev_2.6.2-1_amd64.deb ...
Unpacking libsigc++-2.0-dev:amd64 (2.6.2-1) ...
Selecting previously unselected package libglibmm-2.4-dev:amd64.
Preparing to unpack .../libglibmm-2.4-dev_2.46.3-1_amd64.deb ...
Unpacking libglibmm-2.4-dev:amd64 (2.46.3-1) ...
Selecting previously unselected package libatkmm-1.6-dev:amd64.
Preparing to unpack .../libatkmm-1.6-dev_2.24.2-1_amd64.deb ...
Unpacking libatkmm-1.6-dev:amd64 (2.24.2-1) ...
Selecting previously unselected package libcairo-script-interpreter2:amd64.
Preparing to unpack .../libcairo-script-interpreter2_1.14.6-1_amd64.deb ...
Unpacking libcairo-script-interpreter2:amd64 (1.14.6-1) ...
Selecting previously unselected package libexpat1-dev:amd64.
Preparing to unpack .../libexpat1-dev_2.1.0-7ubuntu0.16.04.2_amd64.deb ...
Unpacking libexpat1-dev:amd64 (2.1.0-7ubuntu0.16.04.2) ...
Selecting previously unselected package libpng12-dev:amd64.
Preparing to unpack .../libpng12-dev_1.2.54-1ubuntu1_amd64.deb ...
Unpacking libpng12-dev:amd64 (1.2.54-1ubuntu1) ...
Selecting previously unselected package libfreetype6-dev:amd64.
Preparing to unpack .../libfreetype6-dev_2.6.1-0.1ubuntu2_amd64.deb ...
Unpacking libfreetype6-dev:amd64 (2.6.1-0.1ubuntu2) ...
Selecting previously unselected package libfontconfig1-dev:amd64.
Preparing to unpack .../libfontconfig1-dev_2.11.94-0ubuntu1.1_amd64.deb ...
Unpacking libfontconfig1-dev:amd64 (2.11.94-0ubuntu1.1) ...
Selecting previously unselected package xorg-sgml-doctools.
Preparing to unpack .../xorg-sgml-doctools_1%3a1.11-1_all.deb ...
Unpacking xorg-sgml-doctools (1:1.11-1) ...
Selecting previously unselected package x11proto-core-dev.
Preparing to unpack .../x11proto-core-dev_7.0.28-2ubuntu1_all.deb ...
Unpacking x11proto-core-dev (7.0.28-2ubuntu1) ...
Selecting previously unselected package libxau-dev:amd64.
Preparing to unpack .../libxau-dev_1%3a1.0.8-1_amd64.deb ...
Unpacking libxau-dev:amd64 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp-dev:amd64.
Preparing to unpack .../libxdmcp-dev_1%3a1.1.2-1.1_amd64.deb ...
Unpacking libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
Selecting previously unselected package x11proto-input-dev.
Preparing to unpack .../x11proto-input-dev_2.3.1-1_all.deb ...
Unpacking x11proto-input-dev (2.3.1-1) ...
Selecting previously unselected package x11proto-kb-dev.
Preparing to unpack .../x11proto-kb-dev_1.0.7-0ubuntu1_all.deb ...
Unpacking x11proto-kb-dev (1.0.7-0ubuntu1) ...
Selecting previously unselected package xtrans-dev.
Preparing to unpack .../xtrans-dev_1.3.5-1_all.deb ...
Unpacking xtrans-dev (1.3.5-1) ...
Selecting previously unselected package libpthread-stubs0-dev:amd64.
Preparing to unpack .../libpthread-stubs0-dev_0.3-4_amd64.deb ...
Unpacking libpthread-stubs0-dev:amd64 (0.3-4) ...
Selecting previously unselected package libxcb1-dev:amd64.
Preparing to unpack .../libxcb1-dev_1.11.1-1ubuntu1_amd64.deb ...
Unpacking libxcb1-dev:amd64 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libx11-dev:amd64.
Preparing to unpack .../libx11-dev_2%3a1.6.3-1ubuntu2_amd64.deb ...
Unpacking libx11-dev:amd64 (2:1.6.3-1ubuntu2) ...
Selecting previously unselected package x11proto-render-dev.
Preparing to unpack .../x11proto-render-dev_2%3a0.11.1-2_all.deb ...
Unpacking x11proto-render-dev (2:0.11.1-2) ...
Selecting previously unselected package libxrender-dev:amd64.
Preparing to unpack .../libxrender-dev_1%3a0.9.9-0ubuntu1_amd64.deb ...
Unpacking libxrender-dev:amd64 (1:0.9.9-0ubuntu1) ...
Selecting previously unselected package x11proto-xext-dev.
Preparing to unpack .../x11proto-xext-dev_7.3.0-1_all.deb ...
Unpacking x11proto-xext-dev (7.3.0-1) ...
Selecting previously unselected package libxext-dev:amd64.
Preparing to unpack .../libxext-dev_2%3a1.3.3-1_amd64.deb ...
Unpacking libxext-dev:amd64 (2:1.3.3-1) ...
Selecting previously unselected package libice-dev:amd64.
Preparing to unpack .../libice-dev_2%3a1.0.9-1_amd64.deb ...
Unpacking libice-dev:amd64 (2:1.0.9-1) ...
Selecting previously unselected package libsm-dev:amd64.
Preparing to unpack .../libsm-dev_2%3a1.2.2-1_amd64.deb ...
Unpacking libsm-dev:amd64 (2:1.2.2-1) ...
Selecting previously unselected package libpixman-1-dev.
Preparing to unpack .../libpixman-1-dev_0.33.6-1_amd64.deb ...
Unpacking libpixman-1-dev (0.33.6-1) ...
Selecting previously unselected package libxcb-render0-dev:amd64.
Preparing to unpack .../libxcb-render0-dev_1.11.1-1ubuntu1_amd64.deb ...
Unpacking libxcb-render0-dev:amd64 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libxcb-shm0-dev:amd64.
Preparing to unpack .../libxcb-shm0-dev_1.11.1-1ubuntu1_amd64.deb ...
Unpacking libxcb-shm0-dev:amd64 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libcairo2-dev.
Preparing to unpack .../libcairo2-dev_1.14.6-1_amd64.deb ...
Unpacking libcairo2-dev (1.14.6-1) ...
Selecting previously unselected package libcairomm-1.0-dev:amd64.
Preparing to unpack .../libcairomm-1.0-dev_1.12.0-1_amd64.deb ...
Unpacking libcairomm-1.0-dev:amd64 (1.12.0-1) ...
Selecting previously unselected package libgdk-pixbuf2.0-dev.
Preparing to unpack .../libgdk-pixbuf2.0-dev_2.32.2-1ubuntu1.2_amd64.deb ...
Unpacking libgdk-pixbuf2.0-dev (2.32.2-1ubuntu1.2) ...
Selecting previously unselected package libglibmm-2.4-doc.
Preparing to unpack .../libglibmm-2.4-doc_2.46.3-1_all.deb ...
Unpacking libglibmm-2.4-doc (2.46.3-1) ...
Selecting previously unselected package libharfbuzz-gobject0:amd64.
Preparing to unpack .../libharfbuzz-gobject0_1.0.1-1ubuntu0.1_amd64.deb ...
Unpacking libharfbuzz-gobject0:amd64 (1.0.1-1ubuntu0.1) ...
Selecting previously unselected package libharfbuzz-dev.
Preparing to unpack .../libharfbuzz-dev_1.0.1-1ubuntu0.1_amd64.deb ...
Unpacking libharfbuzz-dev (1.0.1-1ubuntu0.1) ...
Selecting previously unselected package libxft-dev.
Preparing to unpack .../libxft-dev_2.3.2-1_amd64.deb ...
Unpacking libxft-dev (2.3.2-1) ...
Selecting previously unselected package libpango1.0-dev.
Preparing to unpack .../libpango1.0-dev_1.38.1-1_amd64.deb ...
Unpacking libpango1.0-dev (1.38.1-1) ...
Selecting previously unselected package x11proto-xinerama-dev.
Preparing to unpack .../x11proto-xinerama-dev_1.2.1-2_all.deb ...
Unpacking x11proto-xinerama-dev (1.2.1-2) ...
Selecting previously unselected package libxinerama-dev:amd64.
Preparing to unpack .../libxinerama-dev_2%3a1.1.3-1_amd64.deb ...
Unpacking libxinerama-dev:amd64 (2:1.1.3-1) ...
Selecting previously unselected package x11proto-fixes-dev.
Preparing to unpack .../x11proto-fixes-dev_1%3a5.0-2ubuntu2_all.deb ...
Unpacking x11proto-fixes-dev (1:5.0-2ubuntu2) ...
Selecting previously unselected package libxfixes-dev:amd64.
Preparing to unpack .../libxfixes-dev_1%3a5.0.1-2_amd64.deb ...
Unpacking libxfixes-dev:amd64 (1:5.0.1-2) ...
Selecting previously unselected package libxi-dev.
Preparing to unpack .../libxi-dev_2%3a1.7.6-1_amd64.deb ...
Unpacking libxi-dev (2:1.7.6-1) ...
Selecting previously unselected package x11proto-randr-dev.
Preparing to unpack .../x11proto-randr-dev_1.5.0-1_all.deb ...
Unpacking x11proto-randr-dev (1.5.0-1) ...
Selecting previously unselected package libxrandr-dev:amd64.
Preparing to unpack .../libxrandr-dev_2%3a1.5.0-1_amd64.deb ...
Unpacking libxrandr-dev:amd64 (2:1.5.0-1) ...
Selecting previously unselected package libxcursor-dev:amd64.
Preparing to unpack .../libxcursor-dev_1%3a1.1.14-1_amd64.deb ...
Unpacking libxcursor-dev:amd64 (1:1.1.14-1) ...
Selecting previously unselected package x11proto-composite-dev.
Preparing to unpack .../x11proto-composite-dev_1%3a0.4.2-2_all.deb ...
Unpacking x11proto-composite-dev (1:0.4.2-2) ...
Selecting previously unselected package libxcomposite-dev.
Preparing to unpack .../libxcomposite-dev_1%3a0.4.4-1_amd64.deb ...
Unpacking libxcomposite-dev (1:0.4.4-1) ...
Selecting previously unselected package x11proto-damage-dev.
Preparing to unpack .../x11proto-damage-dev_1%3a1.2.1-2_all.deb ...
Unpacking x11proto-damage-dev (1:1.2.1-2) ...
Selecting previously unselected package libxdamage-dev:amd64.
Preparing to unpack .../libxdamage-dev_1%3a1.1.4-2_amd64.deb ...
Unpacking libxdamage-dev:amd64 (1:1.1.4-2) ...
Selecting previously unselected package libxml2-utils.
Preparing to unpack .../libxml2-utils_2.9.3+dfsg1-1ubuntu0.1_amd64.deb ...
Unpacking libxml2-utils (2.9.3+dfsg1-1ubuntu0.1) ...
Selecting previously unselected package libgtk2.0-dev.
Preparing to unpack .../libgtk2.0-dev_2.24.30-1ubuntu1_amd64.deb ...
Unpacking libgtk2.0-dev (2.24.30-1ubuntu1) ...
Selecting previously unselected package libpangomm-1.4-dev:amd64.
Preparing to unpack .../libpangomm-1.4-dev_2.38.1-1_amd64.deb ...
Unpacking libpangomm-1.4-dev:amd64 (2.38.1-1) ...
Selecting previously unselected package libgtkmm-2.4-dev:amd64.
Preparing to unpack .../libgtkmm-2.4-dev_1%3a2.24.4-2_amd64.deb ...
Unpacking libgtkmm-2.4-dev:amd64 (1:2.24.4-2) ...
Selecting previously unselected package libgtkmm-2.4-doc.
Preparing to unpack .../libgtkmm-2.4-doc_1%3a2.24.4-2_all.deb ...
Unpacking libgtkmm-2.4-doc (1:2.24.4-2) ...
Selecting previously unselected package libsys-hostname-long-perl.
Preparing to unpack .../libsys-hostname-long-perl_1.5-1_all.deb ...
Unpacking libsys-hostname-long-perl (1.5-1) ...
Selecting previously unselected package libmail-sendmail-perl.
Preparing to unpack .../libmail-sendmail-perl_0.79.16-1_all.deb ...
Unpacking libmail-sendmail-perl (0.79.16-1) ...
Selecting previously unselected package libx11-doc.
Preparing to unpack .../libx11-doc_2%3a1.6.3-1ubuntu2_all.deb ...
Unpacking libx11-doc (2:1.6.3-1ubuntu2) ...
Selecting previously unselected package libgtkmm-2.4-dbg:amd64.
Preparing to unpack .../libgtkmm-2.4-dbg_1%3a2.24.4-2_amd64.deb ...
Unpacking libgtkmm-2.4-dbg:amd64 (1:2.24.4-2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for doc-base (0.10.7) ...
Processing 8 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for libglib2.0-0:i386 (2.48.1-1~ubuntu16.04.1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) ...
Setting up libpcrecpp0v5:amd64 (2:8.38-3.1) ...
Setting up autotools-dev (20150820.1) ...
Setting up po-debconf (1.0.19) ...
Setting up libfile-stripnondeterminism-perl (0.015-1) ...
Setting up gir1.2-gtk-2.0 (2.24.30-1ubuntu1) ...
Setting up libgtkmm-3.0-doc (3.18.0-1) ...
Setting up gtkmm-documentation (3.18.0-1) ...
Setting up libpcre32-3:amd64 (2:8.38-3.1) ...
Setting up libpcre3-dev:amd64 (2:8.38-3.1) ...
Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4) ...
Setting up libglib2.0-dev (2.48.1-1~ubuntu16.04.1) ...
Setting up libatk1.0-dev (2.18.0-1) ...
Setting up libsigc++-2.0-dev:amd64 (2.6.2-1) ...
Setting up libglibmm-2.4-dev:amd64 (2.46.3-1) ...
Setting up libatkmm-1.6-dev:amd64 (2.24.2-1) ...
Setting up libcairo-script-interpreter2:amd64 (1.14.6-1) ...
Setting up libexpat1-dev:amd64 (2.1.0-7ubuntu0.16.04.2) ...
Setting up libpng12-dev:amd64 (1.2.54-1ubuntu1) ...
Setting up libfreetype6-dev:amd64 (2.6.1-0.1ubuntu2) ...
Setting up libfontconfig1-dev:amd64 (2.11.94-0ubuntu1.1) ...
Setting up xorg-sgml-doctools (1:1.11-1) ...
Setting up x11proto-core-dev (7.0.28-2ubuntu1) ...
Setting up libxau-dev:amd64 (1:1.0.8-1) ...
Setting up libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
Setting up x11proto-input-dev (2.3.1-1) ...
Setting up x11proto-kb-dev (1.0.7-0ubuntu1) ...
Setting up xtrans-dev (1.3.5-1) ...
Setting up libpthread-stubs0-dev:amd64 (0.3-4) ...
Setting up libxcb1-dev:amd64 (1.11.1-1ubuntu1) ...
Setting up libx11-dev:amd64 (2:1.6.3-1ubuntu2) ...
Setting up x11proto-render-dev (2:0.11.1-2) ...
Setting up libxrender-dev:amd64 (1:0.9.9-0ubuntu1) ...
Setting up x11proto-xext-dev (7.3.0-1) ...
Setting up libxext-dev:amd64 (2:1.3.3-1) ...
Setting up libice-dev:amd64 (2:1.0.9-1) ...
Setting up libsm-dev:amd64 (2:1.2.2-1) ...
Setting up libpixman-1-dev (0.33.6-1) ...
Setting up libxcb-render0-dev:amd64 (1.11.1-1ubuntu1) ...
Setting up libxcb-shm0-dev:amd64 (1.11.1-1ubuntu1) ...
Setting up libcairo2-dev (1.14.6-1) ...
Setting up libcairomm-1.0-dev:amd64 (1.12.0-1) ...
Setting up libgdk-pixbuf2.0-dev (2.32.2-1ubuntu1.2) ...
Setting up libglibmm-2.4-doc (2.46.3-1) ...
Setting up libharfbuzz-gobject0:amd64 (1.0.1-1ubuntu0.1) ...
Setting up libharfbuzz-dev (1.0.1-1ubuntu0.1) ...
Setting up libxft-dev (2.3.2-1) ...
Setting up libpango1.0-dev (1.38.1-1) ...
Setting up x11proto-xinerama-dev (1.2.1-2) ...
Setting up libxinerama-dev:amd64 (2:1.1.3-1) ...
Setting up x11proto-fixes-dev (1:5.0-2ubuntu2) ...
Setting up libxfixes-dev:amd64 (1:5.0.1-2) ...
Setting up libxi-dev (2:1.7.6-1) ...
Setting up x11proto-randr-dev (1.5.0-1) ...
Setting up libxrandr-dev:amd64 (2:1.5.0-1) ...
Setting up libxcursor-dev:amd64 (1:1.1.14-1) ...
Setting up x11proto-composite-dev (1:0.4.2-2) ...
Setting up libxcomposite-dev (1:0.4.4-1) ...
Setting up x11proto-damage-dev (1:1.2.1-2) ...
Setting up libxdamage-dev:amd64 (1:1.1.4-2) ...
Setting up libxml2-utils (2.9.3+dfsg1-1ubuntu0.1) ...
Setting up libgtk2.0-dev (2.24.30-1ubuntu1) ...
Setting up libpangomm-1.4-dev:amd64 (2.38.1-1) ...
Setting up libgtkmm-2.4-dev:amd64 (1:2.24.4-2) ...
Setting up libgtkmm-2.4-doc (1:2.24.4-2) ...
Setting up libsys-hostname-long-perl (1.5-1) ...
Setting up libmail-sendmail-perl (0.79.16-1) ...
Setting up libx11-doc (2:1.6.3-1ubuntu2) ...
Setting up libgtkmm-2.4-dbg:amd64 (1:2.24.4-2) ...
Setting up dh-strip-nondeterminism (0.015-1) ...
Setting up debhelper (9.20160115ubuntu3) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
jadey@jadey-K53SC:~$ gparted
Root privileges are required for running gparted.
/usr/sbin/gpartedbin: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory
jadey@jadey-K53SC:~$ sudo gparted
/usr/sbin/gpartedbin: error while loading shared libraries: libgtkmm-2.4.so.1: cannot open shared object file: No such file or directory
jadey@jadey-K53SC:~$ sudo apt-get autoremove libgtkmm-2.4
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'libgtkmm-2.4-1v5' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-1c2a' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-dbg' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-dev' for regex 'libgtkmm-2.4'
Note, selecting 'libgtkmm-2.4-doc' for regex 'libgtkmm-2.4'
Package 'libgtkmm-2.4-1c2a' is not installed, so not removed
The following packages will be REMOVED:
  gir1.2-gtk-2.0 gparted gtkmm-documentation inkscape libatk1.0-dev
  libatkmm-1.6-dev libcairo-script-interpreter2 libcairo2-dev
  libcairomm-1.0-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev
  libgdk-pixbuf2.0-dev libglib2.0-dev libglibmm-2.4-dev libglibmm-2.4-doc
  libgtk2.0-dev libgtkmm-2.4-1v5 libgtkmm-2.4-dbg libgtkmm-2.4-dev
  libgtkmm-2.4-doc libgtkmm-3.0-doc libharfbuzz-dev libharfbuzz-gobject0
  libice-dev libpango1.0-dev libpangomm-1.4-dev libpcre3-dev libpcre32-3
  libpcrecpp0v5 libpixman-1-dev libpng12-dev libpthread-stubs0-dev
  libsigc++-2.0-dev libsm-dev libx11-dev libx11-doc libxau-dev
  libxcb-render0-dev libxcb-shm0-dev libxcb1-dev libxcomposite-dev
  libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev
  libxft-dev libxi-dev libxinerama-dev libxrandr-dev libxrender-dev
  x11proto-composite-dev x11proto-core-dev x11proto-damage-dev
  x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev
  x11proto-render-dev x11proto-xext-dev x11proto-xinerama-dev
  xorg-sgml-doctools xtrans-dev zlib1g-dev
0 upgraded, 0 newly installed, 65 to remove and 0 not upgraded.
After this operation, 444 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 251189 files and directories currently installed.)
Removing libgtkmm-2.4-dev:amd64 (1:2.24.4-2) ...
Removing libgtk2.0-dev (2.24.30-1ubuntu1) ...
Removing gir1.2-gtk-2.0 (2.24.30-1ubuntu1) ...
Removing gparted (0.25.0-1) ...
Removing gtkmm-documentation (3.18.0-1) ...
Removing inkscape (0.91-7ubuntu2) ...
Removing libatkmm-1.6-dev:amd64 (2.24.2-1) ...
Removing libatk1.0-dev (2.18.0-1) ...
Removing libpangomm-1.4-dev:amd64 (2.38.1-1) ...
Removing libpango1.0-dev (1.38.1-1) ...
Removing libcairomm-1.0-dev:amd64 (1.12.0-1) ...
Removing libcairo2-dev (1.14.6-1) ...
Removing libcairo-script-interpreter2:amd64 (1.14.6-1) ...
Removing libxft-dev (2.3.2-1) ...
Removing libfontconfig1-dev:amd64 (2.11.94-0ubuntu1.1) ...
Removing libexpat1-dev:amd64 (2.1.0-7ubuntu0.16.04.2) ...
Removing libfreetype6-dev:amd64 (2.6.1-0.1ubuntu2) ...
Removing libgdk-pixbuf2.0-dev (2.32.2-1ubuntu1.2) ...
Removing libglibmm-2.4-dev:amd64 (2.46.3-1) ...
Removing libglib2.0-dev (2.48.1-1~ubuntu16.04.1) ...
Removing libglibmm-2.4-doc (2.46.3-1) ...
Removing libgtkmm-2.4-dbg:amd64 (1:2.24.4-2) ...
Removing libgtkmm-2.4-1v5:amd64 (1:2.24.4-2) ...
Removing libgtkmm-2.4-doc (1:2.24.4-2) ...
Removing libgtkmm-3.0-doc (3.18.0-1) ...
Removing libharfbuzz-dev (1.0.1-1ubuntu0.1) ...
Removing libharfbuzz-gobject0:amd64 (1.0.1-1ubuntu0.1) ...
Removing libsm-dev:amd64 (2:1.2.2-1) ...
Removing libice-dev:amd64 (2:1.0.9-1) ...
Removing libpcre3-dev:amd64 (2:8.38-3.1) ...
Removing libpcre32-3:amd64 (2:8.38-3.1) ...
Removing libpcrecpp0v5:amd64 (2:8.38-3.1) ...
Removing libpixman-1-dev (0.33.6-1) ...
Removing libpng12-dev:amd64 (1.2.54-1ubuntu1) ...
Removing libxcb-shm0-dev:amd64 (1.11.1-1ubuntu1) ...
Removing libxcb-render0-dev:amd64 (1.11.1-1ubuntu1) ...
Removing libsigc++-2.0-dev:amd64 (2.6.2-1) ...
Removing libxrandr-dev:amd64 (2:1.5.0-1) ...
Removing libxcursor-dev:amd64 (1:1.1.14-1) ...
Removing libxrender-dev:amd64 (1:0.9.9-0ubuntu1) ...
Removing libxinerama-dev:amd64 (2:1.1.3-1) ...
Removing libx11-doc (2:1.6.3-1ubuntu2) ...
Removing libxcomposite-dev (1:0.4.4-1) ...
Removing libxdamage-dev:amd64 (1:1.1.4-2) ...
Removing libxi-dev (2:1.7.6-1) ...
Removing libxext-dev:amd64 (2:1.3.3-1) ...
Removing libxfixes-dev:amd64 (1:5.0.1-2) ...
Removing x11proto-composite-dev (1:0.4.2-2) ...
Removing x11proto-damage-dev (1:1.2.1-2) ...
Removing x11proto-fixes-dev (1:5.0-2ubuntu2) ...
Removing x11proto-xext-dev (7.3.0-1) ...
Removing x11proto-render-dev (2:0.11.1-2) ...
Removing x11proto-randr-dev (1.5.0-1) ...
Removing x11proto-xinerama-dev (1.2.1-2) ...
Removing zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4) ...
Removing libx11-dev:amd64 (2:1.6.3-1ubuntu2) ...
Removing x11proto-input-dev (2.3.1-1) ...
Removing x11proto-kb-dev (1.0.7-0ubuntu1) ...
Removing xtrans-dev (1.3.5-1) ...
Removing libxcb1-dev:amd64 (1.11.1-1ubuntu1) ...
Removing libpthread-stubs0-dev:amd64 (0.3-4) ...
Removing libxau-dev:amd64 (1:1.0.8-1) ...
Removing libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
Removing x11proto-core-dev (7.0.28-2ubuntu1) ...
Removing xorg-sgml-doctools (1:1.11-1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for doc-base (0.10.7) ...
Processing 7 removed doc-base files...
Registering documents with scrollkeeper...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for libglib2.0-0:i386 (2.48.1-1~ubuntu16.04.1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) ...
jadey@jadey-K53SC:~$ inkscape
The program 'inkscape' is currently not installed. You can install it by typing:
sudo apt install inkscape
jadey@jadey-K53SC:~$ sudo apt-get install inkscape
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libgtkmm-2.4-1v5
Suggested packages:
  pstoedit dia | dia-gnome libsvg-perl libxml-xql-perl python-uniconvertor
  ruby
The following NEW packages will be installed:
  inkscape libgtkmm-2.4-1v5
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 671 kB/12,9 MB of archives.
After this operation, 90,4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 libgtkmm-2.4-1v5 amd64 1:2.24.4-2 [671 kB]
Fetched 671 kB in 0s (711 kB/s)
Selecting previously unselected package libgtkmm-2.4-1v5:amd64.
(Reading database ... 240821 files and directories currently installed.)
Preparing to unpack .../libgtkmm-2.4-1v5_1%3a2.24.4-2_amd64.deb ...
Unpacking libgtkmm-2.4-1v5:amd64 (1:2.24.4-2) ...
Selecting previously unselected package inkscape.
Preparing to unpack .../inkscape_0.91-7ubuntu2_amd64.deb ...
Unpacking inkscape (0.91-7ubuntu2) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up libgtkmm-2.4-1v5:amd64 (1:2.24.4-2) ...
Setting up inkscape (0.91-7ubuntu2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...

Manfred Hampl (m-hampl) said : #8

Root cause probably was, that the package libgtkmm-2.4-1v5:amd64 was not correctly installed. (Package management thought that it was installed, but the shared library file was missing.)

The command
sudo apt-get install --reinstall libgtkmm-2.4-1v5
could probably have solved the problem.

michaelsinclair (michael-mody) said : #9

I am having a similar problem. I have tried the solution using the latest suggestion as follows:

sudo apt-get install --reinstall libgtkmm-2.4-1v5

But I keep getting new error messages with further broken packages. It finally hot on one I could not install. Here I got stuck. Here is the printout of the issue so far:

......e.
Need to get 41.6 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 libcairomm-1.0-1v5 amd64 1.12.0-1 [41.6 kB]
Fetched 41.6 kB in 0s (197 kB/s)
(Reading database ... 194593 files and directories currently installed.)
Preparing to unpack .../libcairomm-1.0-1v5_1.12.0-1_amd64.deb ...
Unpacking libcairomm-1.0-1v5:amd64 (1.12.0-1) over (1.12.0-1) ...
Processing triggers for libc-bin (2.23-0ubuntu4) ...
Setting up libcairomm-1.0-1v5:amd64 (1.12.0-1) ...
Processing triggers for libc-bin (2.23-0ubuntu4) ...
michael@Kronos-Prime:~$ inkscape
inkscape: error while loading shared libraries: libgiomm-2.4.so.1: cannot open shared object file: No such file or directory
michael@Kronos-Prime:~$ sudo apt-get install --reinstall libgiomm-1.0-1v5
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libgiomm-1.0-1v5
E: Couldn't find any package by glob 'libgiomm-1.0-1v5'
E: Couldn't find any package by regex 'libgiomm-1.0-1v5'
michael@Kronos-Prime:~$ sudo apt-get install libgiomm-2.4.so.1
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
michael@Kronos-Prime:~$ sudo apt-get install --reinstall libgiomm-1.0-1v5
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libgiomm-1.0-1v5
E: Couldn't find any package by glob 'libgiomm-1.0-1v5'
E: Couldn't find any package by regex 'libgiomm-1.0-1v5'
michael@Kronos-Prime:~$ sudo apt-get install libgiomm-2.4.so.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libgiomm-2.4.so.1
E: Couldn't find any package by glob 'libgiomm-2.4.so.1'
E: Couldn't find any package by regex 'libgiomm-2.4.so.1'
michael@Kronos-Prime:~$ inkscape
inkscape: error while loading shared libraries: libgiomm-2.4.so.1: cannot open shared object file: No such file or directory
michael@Kronos-Prime:~$ sudo gparted
/usr/sbin/gpartedbin: error while loading shared libraries: libglibmm-2.4.so.1: cannot open shared object file: No such file or directory

Manfred Hampl (m-hampl) said : #10

@michaelsinclair:

1. Please do not piggyback on somebody else's question document that has already been marked as "solved", but create a question document of your own. There is no way that we can follow up the status of your problem this question document.

2. The numbering of bugs and question documents is completely independent.
I does not make any sense to link a question with the bug of the same number. The are not related to each other. (Question 402225 is about inkscape, bug 402225 is about a problem in gedit in the year 2009).

3. Try reinstalling the package libglibmm-2.4-1v5 (this the one containing libgiomm-2.4.so.1)

I'm sorry,

I did not mean to cause offence. I do not know how the system works. I
was only trying to save work, however I will post a new bug report as I
assume you are indicating. I did not mean to piggyback on your hard
work. I will study the numbering system in better detail next time.

Thank you for your final recommendation as per point 3, I will try
this. If I am still unable to get it working I will try to post a new
bug report from scratch.

Regards

Michael Sinclair

On 02/11/16 16:22, Manfred Hampl wrote:
> Question #402225 on inkscape in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/inkscape/+question/402225
>
> Manfred Hampl posted a new comment:
> @michaelsinclair:
>
> 1. Please do not piggyback on somebody else's question document that has
> already been marked as "solved", but create a question document of your
> own. There is no way that we can follow up the status of your problem
> this question document.
>
> 2. The numbering of bugs and question documents is completely independent.
> I does not make any sense to link a question with the bug of the same number. The are not related to each other. (Question 402225 is about inkscape, bug 402225 is about a problem in gedit in the year 2009).
>
> 3. Try reinstalling the package libglibmm-2.4-1v5 (this the one
> containing libgiomm-2.4.so.1)
>